libselinux1 binary package in Ubuntu Trusty arm64

 This package provides the shared libraries for Security-enhanced
 Linux that provides interfaces (e.g. library functions for the
 SELinux kernel APIs like getcon(), other support functions like
 getseuserbyname()) to SELinux-aware applications. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux. The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.
 .
 libselinux1 provides an API for SELinux applications to get and set
 process and file security contexts and to obtain security policy
 decisions. Required for any applications that use the SELinux
 API. libselinux may use the shared libsepol to manipulate the binary
 policy if necessary (e.g. to downgrade the policy format to an older
 version supported by the kernel) when loading policy.

Publishing history

Date Status Target Pocket Component Section Priority Phased updates Version
  2014-05-09 12:13:34 UTC Published Ubuntu Trusty arm64 updates main libs Required 2.2.2-1ubuntu0.1
  • Published on 2014-05-09
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-09 12:15:24 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 90% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-10.
  • Superseded on 2014-05-09 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-09
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-09 06:05:05 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 80% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-10.
  • Superseded on 2014-05-09 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-08
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-08 23:50:17 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 70% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-09.
  • Superseded on 2014-05-08 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-08
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-08 12:56:30 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 70% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-09.
  • Superseded on 2014-05-08 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-08
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-08 12:56:30 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 60% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-09.
  • Superseded on 2014-05-08 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-08
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-08 12:56:30 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 50% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-09.
  • Superseded on 2014-05-08 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-07
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-08 00:01:04 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 40% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-09.
  • Superseded on 2014-05-08 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-07
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-07 18:07:30 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 30% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-08.
  • Superseded on 2014-05-07 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-07
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-07 12:05:17 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 20% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-08.
  • Superseded on 2014-05-07 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-07
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-05-07 06:15:19 UTC Superseded Ubuntu Trusty arm64 updates main libs Required 10% of users 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-08.
  • Superseded on 2014-05-07 by arm64 build of libselinux 2.2.2-1ubuntu0.1 in ubuntu trusty PROPOSED
  • Published on 2014-05-07
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  Deleted Ubuntu Trusty arm64 proposed main libs Required 2.2.2-1ubuntu0.1
  • Removal requested on 2014-05-07.
  • Deleted on 2014-05-07 by Colin Watson

    moved to -updates

  • Published on 2014-04-29
  2014-01-21 09:48:21 UTC Published Ubuntu Trusty arm64 release main libs Required 2.2.2-1
  • Published on 2014-01-21
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  Deleted Ubuntu Trusty arm64 proposed main libs Required 2.2.2-1
  • Removal requested on 2014-01-21.
  • Deleted on 2014-01-21 by Ubuntu Archive Robot

    moved to release

  • Published on 2014-01-21
  2014-01-21 09:48:36 UTC Superseded Ubuntu Trusty arm64 release main libs Required 2.2.1-1ubuntu2
  • Removed from disk on 2014-01-22.
  • Removal requested on 2014-01-22.
  • Superseded on 2014-01-21 by arm64 build of libselinux 2.2.2-1 in ubuntu trusty PROPOSED
  • Published on 2013-12-04
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2014-01-22 12:10:12 UTC Deleted Ubuntu Trusty arm64 proposed main libs Required 2.2.1-1ubuntu2
  • Removed from disk on 2014-01-22.
  • Removal requested on 2013-12-04.
  • Deleted on 2013-12-04 by Ubuntu Archive Robot

    moved to release

  • Published on 2013-12-04
  2013-12-04 18:23:38 UTC Superseded Ubuntu Trusty arm64 release main libs Required 2.2.1-1ubuntu1
  • Removed from disk on 2013-12-06.
  • Removal requested on 2013-12-05.
  • Superseded on 2013-12-04 by arm64 build of libselinux 2.2.1-1ubuntu2 in ubuntu trusty PROPOSED
  • Published on 2013-11-14
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2013-12-06 00:10:13 UTC Deleted Ubuntu Trusty arm64 proposed main libs Required 2.2.1-1ubuntu1
  • Removed from disk on 2013-12-06.
  • Removal requested on 2013-11-14.
  • Deleted on 2013-11-14 by Ubuntu Archive Robot

    moved to release

  • Published on 2013-11-14
  2013-11-14 17:14:17 UTC Superseded Ubuntu Trusty arm64 release main libs Required 2.2-1ubuntu1
  • Removed from disk on 2013-11-15.
  • Removal requested on 2013-11-15.
  • Superseded on 2013-11-14 by arm64 build of libselinux 2.2.1-1ubuntu1 in ubuntu trusty PROPOSED
  • Published on 2013-11-03
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2013-11-15 18:10:11 UTC Deleted Ubuntu Trusty arm64 proposed main libs Required 2.2-1ubuntu1
  • Removed from disk on 2013-11-15.
  • Removal requested on 2013-11-03.
  • Deleted on 2013-11-03 by Ubuntu Archive Robot

    moved to release

  • Published on 2013-11-03
  2013-11-03 06:34:50 UTC Superseded Ubuntu Trusty arm64 release main libs Required 2.1.13-3ubuntu1
  • Removed from disk on 2013-11-04.
  • Removal requested on 2013-11-04.
  • Superseded on 2013-11-03 by arm64 build of libselinux 2.2-1ubuntu1 in ubuntu trusty PROPOSED
  • Published on 2013-10-28
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2013-11-04 12:10:11 UTC Deleted Ubuntu Trusty arm64 proposed main libs Required 2.1.13-3ubuntu1
  • Removed from disk on 2013-11-04.
  • Removal requested on 2013-10-28.
  • Deleted on 2013-10-28 by Ubuntu Archive Robot

    moved to release

  • Published on 2013-10-28
  2013-10-28 16:55:02 UTC Superseded Ubuntu Trusty arm64 release main libs Required 2.1.13-3
  • Removed from disk on 2013-10-29.
  • Removal requested on 2013-10-29.
  • Superseded on 2013-10-28 by arm64 build of libselinux 2.1.13-3ubuntu1 in ubuntu trusty PROPOSED
  • Published on 2013-10-21
  • Copied from ubuntu trusty-proposed arm64 in Primary Archive for Ubuntu
  2013-10-29 18:10:11 UTC Deleted Ubuntu Trusty arm64 proposed main libs Required 2.1.13-3
  • Removed from disk on 2013-10-29.
  • Removal requested on 2013-10-21.
  • Deleted on 2013-10-21 by Ubuntu Archive Robot

    moved to release

  • Published on 2013-10-21
  2013-10-21 22:50:15 UTC Superseded Ubuntu Trusty arm64 release main libs Required 2.1.13-2
  • Removed from disk on 2015-05-01.
  • Removal requested on 2013-10-22.
  • Superseded on 2013-10-21 by arm64 build of libselinux 2.1.13-3 in ubuntu trusty PROPOSED
  • Published on 2013-10-18
  • Copied from ubuntu saucy-release arm64 in Primary Archive for Ubuntu